#include <iostream>

using namespace std;

long long int brojCifara (long long int n)
{
    int br = 0;
    while (n > 0)
    {
        br++;
        n/=10;
    }
    return br;
}
int main()
{
    long long int a,b;
    scanf("%lld",&a);
    scanf("%lld",&b);
    int i = 0;
    long long int n[brojCifara(a)];
    long long int m[brojCifara(b)];
    long long int x = a;
    long long int y = b;
    int j = 0;
    for (i = brojCifara(a) - 1; i >= 0; i--)
    {
        n[i] = x % 10;
        x /= 10;
    }
    for (i = brojCifara(b) - 1; i >= 0; i--)
    {
        m[i] = y % 10;
        y /= 10;
    }
    if (brojCifara(a) > brojCifara(b))
    {
        for (i = 0; i < brojCifara(a) - brojCifara(b); i++)
        {
            printf("%lld",n[i]);
        }

        for (j = 0; j < brojCifara(b); j++)
        {
            if (n[j + i] > m[j]) printf("%lld",n[j + i]);
            else if (n[j + i] < m[j]) printf("%lld",m[j]);
            else printf("%lld%lld",n[j + i], m[j]);
        }
    }
    else
    {
        for (i = 0; i < brojCifara(b) - brojCifara(a); i++)
        {
            printf("%lld", m[i]);
        }
        for (j = 0; j < brojCifara(a); j++)
        {
            if (m[j + i] > n[j]) printf("%lld",m[j + i]);
            else if (m[j + i] < n[j]) printf("%lld",n[j]);
            else printf("%lld%lld", m[j + i], n[j]);
        }
    }
    return 0;
}